### Virtual Method

# Soup WebsocketExtension configure

#### Declaration [src]

    gboolean
    configure (
      SoupWebsocketExtension* extension,
      SoupWebsocketConnectionType connection_type,
      GHashTable* params,
      GError** error
    )

#### Description [src]

Configures `extension` with the given `params`.

#### Parameters

`connection_type` | `SoupWebsocketConnectionType`
| Either `SOUP_WEBSOCKET_CONNECTION_CLIENT` or `SOUP_WEBSOCKET_CONNECTION_SERVER`.
`params` | `GHashTable`
| The parameters.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if extension could be configured with the given parameters, or `FALSE` otherwise.